Package: org.codehaus.groovy.classgen

## [Java] Class BytecodeExpression

- org.codehaus.groovy.classgen.BytecodeExpression

- Represents some custom bytecode generation by the compiler

  Authors:
    James Strachan

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static BytecodeExpression` | `NOP` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BytecodeExpression ()`
    `BytecodeExpression (ClassNode type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`
    `` | `void` | `visit(org.objectweb.asm.MethodVisitor mv)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final BytecodeExpression NOP

  - ### Constructor Detail

    - #### public BytecodeExpression()

    - #### public BytecodeExpression(ClassNode type)

  - ### Method Detail

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)

    - #### public void visit(org.objectweb.asm.MethodVisitor mv)